org.apache.tinkerpop.gremlin.spark.structure.io

## Interface OutputRDD

- All Known Implementing Classes:
    OutputFormatRDD, PersistedOutputRDD

      public interface OutputRDD

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeGraphRDD(Configuration configuration, <any> graphRDD)` Write the graphRDD to an output location.
    `default <K,V> Iterator<KeyValue<K,V>>` | `writeMemoryRDD(Configuration configuration, String memoryKey, <any> memoryRDD)` Write the sideEffect memoryRDD to an output location.

- - ### Method Detail

    - #### writeGraphRDD

          void writeGraphRDD(Configuration configuration,
                             <any> graphRDD)

      Write the graphRDD to an output location. The `Configuration` maintains the specified location via `Constants.GREMLIN_HADOOP_OUTPUT_LOCATION`.
      Parameters:
        `configuration` - the configuration of the Spark job
        `graphRDD` - the graphRDD to output

    - #### writeMemoryRDD

          default <K,V> Iterator<KeyValue<K,V>> writeMemoryRDD(Configuration configuration,
                                                               String memoryKey,
                                                               <any> memoryRDD)

      Write the sideEffect memoryRDD to an output location. The `Configuration` maintains the specified location via `Constants.GREMLIN_HADOOP_OUTPUT_LOCATION`. The default implementation returns an empty iterator.
      Type Parameters:
        `K` - the key class of the RDD
        `V` - the value class of the RDD
      Parameters:
        `configuration` - the configuration of the Spark job
        `memoryKey` - the memory key of the memoryRDD
        `memoryRDD` - the memoryRDD
      Returns:
        the `KeyValue` iterator to store in the final resultant `Memory`.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.